Update a gateway
PUThttps://app.shuttleglobal.com/c/api/instances/{instance_key}/gateways/{gateway_id}
Updating a gateway is intended to be used in conjunction with Shuttle support.
gateway_idcan be either ID or code
Request fields:
status(optional) - update the status to one ofACTIVE,RUNDOWN,ARCHIVEvalues- A map of parameters, specific to the gateway, for valid options contact supporttags- An array of strings to store on this objects, you can search objects by tagmetadata- A list of key values pairs to store on a object
Gateway statuses:
ACTIVE- Supports new payments and new payment methodsRUNDOWN- Only support payments on existing payment_methodsARCHIVE- Does not support new payments or payment_methods, nor will any API requests be made to the gateway in this status
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The gateway’s ID (gw_...), or its code.
Request Bodyrequired
Section titled “Request Bodyrequired”object
object
Gateway status
Gateway-specific configuration values
object
Tags for searching and organizing
Custom metadata key-value pairs
object
Responses
Section titled “Responses”Updated gateway
object
object
Shuttle’s ID for the gateway
Display name for the gateway
Your ID for the gateway (or auto-generated)
Division ID (enterprise)
Gateway status
Reason for current status (e.g., access revoked)
Payment processor type (e.g., STRIPE)
Display name of the processor
Name of connected merchant account
Group ID for sharing payment tokens
Supported payment currencies
Supported ecommerce payment methods
object
object
Supported MOTO payment methods
object
object
Custom key-value pairs
object
Tags/references
Feature flags for the gateway
object
Creation timestamp
Session that created this gateway
Last update timestamp
Session that last updated this gateway
Record version
Bad request - invalid parameters
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Unauthorized - invalid credentials
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Example
{ "code": "UNAUTHORIZED", "message": "Unauthorised"}Gateway not found
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Validation error - invalid gateway configuration
Every error has a code and a message. Some add more fields alongside them, with detail about the error.
object
The error code, for example VALIDATION_ERROR, INVALID, INVALID_REQUEST, UNAUTHORIZED, FORBIDDEN or NOT_FOUND. Program against this, not the message.
What went wrong, in words, for logs and support.
Was this page helpful?
What went wrong?
Thanks for telling us.